



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>java3 - 流程控制</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">java3 - 流程控制</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-01-31 18:43:08 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h2>一、Java 有三种主要的循环结构：</h2>
<p>需求：分别使用三种循环将 1 到 100 的整数输出到控制台。</p>
<h3>1、for 循环</h3>
<pre class="prettyprint linenums"><code>    for(初始化语句; 布尔表达式语句; 更新语句) {<br />
        //循环体内容<br />
    }<br />
</code></pre>
<blockquote><p>示列代码</p></blockquote>
<pre class="prettyprint linenums"><code>public static void forFunction() {<br />
	/*<br />
	 * for循环第一步执行 int i = 1;<br />
	 * 第二步执行 i &lt;= 2;<br />
	 * 第三步执行 {} 里面的内容（循环体）<br />
	 * 第四步执行 i++<br />
	 * 第五步，跳至第二步执行。<br />
	 */<br />
	for (int i = 1; i &lt;= 2; i++) {<br />
		System.out.println(i);<br />
	}

	// int i = 1;<br />
	// for (; i &lt;= 100;) {<br />
	// System.out.println(i);<br />
	// i++;<br />
	// }<br />
}<br />
</code></pre>
<h3>2、while 循环</h3>
<pre class="prettyprint linenums"><code>while( 布尔表达式 ) {<br />
    //循环体内容<br />
}<br />
</code></pre>
<blockquote><p>示列代码</p></blockquote>
<pre class="prettyprint linenums"><code>public static void whileFunction() {<br />
	int i = 1;<br />
	while (i &lt;= 100) {<br />
		System.out.println(i);<br />
		// 注意，一定要在循环体中改变判断变量的值，使之能够达到结束条件，<br />
		// 否则，会陷入死循环。<br />
		i++;<br />
	}<br />
}<br />
</code></pre>
<h3>3、do...while 循环</h3>
<pre class="prettyprint linenums"><code>do {<br />
    //循环体内容<br />
} while (布尔表达式);<br />
</code></pre>
<blockquote><p>示列代码</p></blockquote>
<pre class="prettyprint linenums"><code>public static void doWhileFunction() {<br />
	int i = 1;<br />
	// 先执行循环体里面的代码，再执行 while 判断，<br />
	// 如果判断为真，继续执行循环体代码。<br />
	// 如果判断为假，结束循环。<br />
	do {<br />
		System.out.println(i);<br />
		i++;<br />
	} while (i &lt;= 100);<br />
}<br />
</code></pre>
<h3>课堂练习：</h3>
<p>分别使用三种循环将 9x9 乘法表输出到控制台。</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/495676/201703/495676-20170302153418032-1472693578.png"></p>
<hr>
### 二、Java 有两种分支结构（ if 语句 &amp; switch 语句）：</p>
<h3>1、if</h3>
<pre class="prettyprint linenums"><code>if(布尔表达式)<br />
{<br />
   //如果布尔表达式为true将执行的语句<br />
}<br />
</code></pre>
<blockquote><p>示列代码</p></blockquote>
<pre class="prettyprint linenums"><code>/* 如果 if 条件成立，<br />
 * 就执行 if 后面{}里面的语句，<br />
 * 否则执行 {} 外面的语句<br />
 * */<br />
if (score &gt;= 60) {<br />
	// 条件成立的时候执行<br />
	System.out.println(&quot;该分数已及格&quot;);<br />
}<br />
</code></pre>
<h3>2、if...else语句</h3>
<pre class="prettyprint linenums"><code>if(布尔表达式){<br />
   //如果布尔表达式的值为true<br />
}else{<br />
   //如果布尔表达式的值为false<br />
}<br />
</code></pre>
<blockquote><p>示列代码</p></blockquote>
<pre class="prettyprint linenums"><code>/* 如果 if 条件成立，<br />
 * 就执行 if 后面{}里面的语句，<br />
 * 如果不成立就执行 else 后面{}里面的语句<br />
 * */<br />
if (score &gt;= 60) {<br />
	// 条件成立的时候执行<br />
	System.out.println(&quot;该分数已及格&quot;);<br />
} else {<br />
	// 条件不成立的时候执行<br />
	System.out.println(&quot;该分数不及格&quot;);<br />
}<br />
</code></pre>
<h3>3、if...else if...else... 语句</h3>
<pre class="prettyprint linenums"><code>if(布尔表达式 1){<br />
   //如果布尔表达式 1的值为true执行代码<br />
}else if(布尔表达式 2){<br />
   //如果布尔表达式 2的值为true执行代码<br />
}else if(布尔表达式 3){<br />
   //如果布尔表达式 3的值为true执行代码<br />
}else {<br />
   //如果以上布尔表达式都不为true执行代码<br />
}<br />
</code></pre>
<blockquote><p>示列代码</p></blockquote>
<pre class="prettyprint linenums"><code>/* 这种语句，从上至下执行，<br />
 * 当满足其中任意一个 if 语句，就不会在往下面执行，<br />
 * 如果一个 if 语句都不满足，就执行 else 里面的代码。<br />
 * */<br />
if (score &gt;= 90) {<br />
	System.out.println(&quot;该分数为优&quot;);<br />
} else if (score &gt;= 80) {<br />
	System.out.println(&quot;该分数为良&quot;);<br />
} else if (score &gt;= 70) {<br />
	System.out.println(&quot;该分数为中&quot;);<br />
} else if (score &gt;= 60) {<br />
	System.out.println(&quot;该分数为差&quot;);<br />
} else {<br />
	System.out.println(&quot;该分数为不及格&quot;);<br />
}<br />
</code></pre>
<h3>4、嵌套的 if…else 语句</h3>
<pre class="prettyprint linenums"><code>if(布尔表达式 1){<br />
   ////如果布尔表达式 1的值为true执行代码<br />
   if(布尔表达式 2){<br />
      ////如果布尔表达式 2的值为true执行代码<br />
   }<br />
}<br />
</code></pre>
<h3>课堂练习:</h3>
<p>一闯关游戏，有两个关卡，输出一个人的闯关情况。<br /><br />
要求输出结果能看出闯关人员闯关结果是成功还是失败。<br /><br />
如果失败，是第几关失败的。</p>
<h3>5、switch 语句</h3>
<pre class="prettyprint linenums"><code>switch(expression){<br />
    case value :<br />
       //语句<br />
       break; //可选<br />
    case value :<br />
       //语句<br />
       break; //可选<br />
    //你可以有任意数量的case语句<br />
    default : //可选<br />
       //语句<br />
}<br />
</code></pre>
<blockquote><p>示列代码</p></blockquote>
<pre class="prettyprint linenums"><code>public static void switchMethod() {<br />
	// A-优，B-良，C-中，D-差，E-不及格<br />
	// switch 后括号中是一个判断变量，case 后面是判断变量可能的值，<br />
	// 如果说 判断变量的值 与case 语句对应的值相等，则执行该case 冒号后面的代码。<br />
	// 如果说 所有的case 语句后的值，没有一个和判断变量的值相等，则执行 default 冒号后面的代码<br />
	char score = 'A';<br />
	switch (score) {<br />
	case 'A':<br />
		System.out.println(&quot;优&quot;);<br />
		break;<br />
	case 'B':<br />
		System.out.println(&quot;良&quot;);<br />
		break;<br />
	case 'C':<br />
		System.out.println(&quot;中&quot;);<br />
		break;<br />
	case 'D':<br />
		System.out.println(&quot;差&quot;);<br />
		break;<br />
	case 'E':<br />
		System.out.println(&quot;不及格&quot;);<br />
		break;<br />
	default:<br />
		System.out.println(&quot;没有这个级别&quot;);<br />
		break;<br />
	}<br />
	// ABCD 都输出-及格，E输出-不及格，其他输出-没有这个级别<br />
	switch (score) {<br />
	case 'A'|'a':<br />
	case 'B':<br />
	case 'C':<br />
	case 'D':<br />
		System.out.println(&quot;及格&quot;);<br />
		break;<br />
	case 'E':<br />
		System.out.println(&quot;不及格&quot;);<br />
		break;<br />
	default:<br />
		System.out.println(&quot;没有这个级别&quot;);<br />
		break;<br />
	}<br />
	// 思考：是不是任意类型的变量都可以用作判断变量，如果不是，又有哪些可以？<br />
}<br />
</code></pre>
<hr>
### 三、循环语句中的两个重要关键字：</p>
<h3>1、continue</h3>
<pre class="prettyprint linenums"><code>1、continue 适用于任何循环控制结构中。作用是让程序立刻跳转到下一次循环的迭代。<br />
2、在 for 循环中，continue 语句使程序立即跳转到更新语句。<br />
3、在 while 或者 do…while 循环中，程序立即跳转到布尔表达式的判断语句。<br />
</code></pre>
<blockquote><p>示列代码</p></blockquote>
<pre class="prettyprint linenums"><code>// 输出 100 以内的奇数<br />
public static void useContinue() {<br />
	for (int i = 1; i &lt; 100; i++) {<br />
		if (i % 2 == 0) {<br />
			// 如果是偶数，滚回去继续执行循环<br />
			continue;<br />
		}<br />
		System.out.println(i + &quot;是奇数&quot;);<br />
	}<br />
}<br />
</code></pre>
<h3>2、break</h3>
<pre class="prettyprint linenums"><code>1、break 主要用在循环语句或者 switch 语句中，用来跳出整个语句块。<br />
2、break 跳出最里层的循环，并且继续执行该循环下面的语句。<br />
</code></pre>
<blockquote><p>示列代码</p></blockquote>
<pre class="prettyprint linenums"><code>// 输出 100 以内的质数<br />
public static void useBreak() {<br />
	// 第一层 for 循环，控制 被除数<br />
	for (int i = 2; i &lt; 100; i++) {<br />
		// 第二层 for 循环控制 除数（约数）<br />
		int j = 2;<br />
		for (; j &lt; i; j++) {<br />
			if (i % j == 0) {<br />
				// 跳出当前循环语句<br />
				break;<br />
			}<br />
		}<br />
		if (j == i) {<br />
			System.out.println(i + &quot;是质数&quot;);<br />
		}<br />
	}<br />
}<br />
</code></pre>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/g8ekwvx8.html">四个使用promise的语句之间的不同点在哪儿？</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gmm3k09.html">iOS添加Prefix Header</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1k30r9.html">1059&colon; &lbrack;ZJOI2007&rsqb;矩阵游戏 - BZOJ</a>
		</li>
						<li><a href="https://www.batexi.com/a/8okw2619.html">Hibernate过程小计</a>
		</li>
						<li><a href="https://www.batexi.com/a/96ovk2y9.html">检测字节流是否是UTF8编码</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rg3v548.html">基于socket实现的简单的聊天程序</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j10odl9.html">UIScrollView的AutoLayout约束</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxd5epe9.html">Eclipse Maven pom&period;xml 警告No grammar constraints &lpar;DTD or XML schema&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/960dv6j9.html">react-router 4&period;0（二）传参</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxd6gde9.html">java&lowbar;basic&lowbar;基础</a>
		</li>
						<li><a href="https://www.batexi.com/a/93polpr8.html">Redis发布订阅和事物笔记</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jmejxl9.html">liunx（centos7 ） 免密码登录</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zk3ggx8.html">Python GUI 编程</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwledek9.html">PCL源码剖析之MarchingCubes算法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyv7pdmq.html">qq iOS环境配置及调用</a>
		</li>
						<li><a href="https://www.batexi.com/a/90drp5n8.html">Frequency-tuned Salient Region Detection MATLAB代码出错修改方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e0ox1eq.html">C&num; Lpt 并口热敏小票打印机打印位图</a>
		</li>
						<li><a href="https://www.batexi.com/a/90d5v738.html">java IO的总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/93j51ew8.html">C&plus;&plus;中的void类型</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn2d0lxq.html">vscode 打开新文件不替换旧文件</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/96pg40n8.html">20165206学习基础和C语言基础调查</a>
			</li>
						<li><a href="https://www.batexi.com/a/9jzgg048.html">Hystrix-Dashboard仪表盘</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv1nnxyq.html">python&lowbar;如何通过twisted实现数据库异步插入？</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ey2kdm9.html">CGroup Namspace</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4zwv409.html">浅谈GlusterFS</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2jvlrl8.html">shell中数组讲解</a>
			</li>
						<li><a href="https://www.batexi.com/a/qy1xkg2q.html">正则匹配url中的query参数信息</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7z3kdg9.html">以Apache模块的方式编译安装php-5&period;4&period;27</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv1n6yjq.html">Java基础之Throwable，文件加载</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zoxmdnq.html">【STL】c&plus;&plus; priority&lowbar;queue的使用方法</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
